CYR_BACKUP(8)

NAME
cyr_backup - Cyrus IMAP documentation

Inspect contents of Cyrus backups.

SYNOPSIS

        cyr_backup [OPTIONS] [MODE] backup list chunks
        cyr_backup [OPTIONS] [MODE] backup list mailboxes
        cyr_backup [OPTIONS] [MODE] backup list messages
        cyr_backup [OPTIONS] [MODE] backup list all
        cyr_backup [OPTIONS] [MODE] backup show mailboxes [ mboxname | uniqueid ]...
        cyr_backup [OPTIONS] [MODE] backup show messages guid...
        cyr_backup [OPTIONS] [MODE] backup dump chunk id
        cyr_backup [OPTIONS] [MODE] backup dump message guid
        cyr_backup [OPTIONS] [MODE] backup json chunks
        cyr_backup [OPTIONS] [MODE] backup json mailboxes
        cyr_backup [OPTIONS] [MODE] backup json messages
        cyr_backup [OPTIONS] [MODE] backup json headers guid...

DESCRIPTION

NOTE:
        Cyrus Backups are experimental, incomplete, and deprecated as of 3.10.

cyr_backup is a tool for inspecting the contents of a Cyrus backup.

cyr_backup reads its configuration options out of the imapd.conf(5) file unless specified otherwise by -C.

In all invocations, backup is interpreted according to the specified MODE. See Modes below.

cyr_backup provides the following sub-commands:

    list

            cyr_backup [OPTIONS] [MODE] backup list chunks
            cyr_backup [OPTIONS] [MODE] backup list mailboxes
            cyr_backup [OPTIONS] [MODE] backup list messages
            cyr_backup [OPTIONS] [MODE] backup list all

    List chunks, mailboxes, or messages contained in backup.

    show

            cyr_backup [OPTIONS] [MODE] backup show mailboxes [ mboxname | uniqueid ]...
            cyr_backup [OPTIONS] [MODE] backup show messages guid...

    show mailboxes shows the contents (i.e. the contained messages) of mailboxes matching each given mboxname or uniqueid in the named backup. The uid, expunged time, and guid of each message are shown.

    show messages shows details of messages matching each given guid in the named backup. The guid, containing mailboxes, and MIME headers of each message are shown.

    dump

            cyr_backup [OPTIONS] [MODE] backup dump chunk id
            cyr_backup [OPTIONS] [MODE] backup dump message guid

    Dump the contents of the specified chunk or message contained in the named backup to standard out. Chunks are output as uncompressed backup data format (which is a replication protocol stream). Messages are output in their on-disk format (typically MIME).

    dump chunk is mainly useful for diagnostic purposes.

    dump message may be useful as part of a manual message restoration process, when the restoration destination does not support the restore(8) command.

    json

            cyr_backup [OPTIONS] [MODE] backup json chunks
            cyr_backup [OPTIONS] [MODE] backup json mailboxes
            cyr_backup [OPTIONS] [MODE] backup json messages
            cyr_backup [OPTIONS] [MODE] backup json headers guid...

    Dump information about the chunks, mailboxes or messages contained in the named backup to standard out, in JSON format.

OPTIONS

    -C config-file
        Use the specified configuration file config-file rather than the default imapd.conf(5).

    -v, --verbose
        Increase the verbosity. Can be specified multiple times.

MODES

    -f, --filename
        backup is interpreted as a filename. The named file does not need to be known about in the backups database.

    -m, --mailbox
        backup is interpreted as a mailbox name. There must be a known backup for the user whose mailbox this is.

        Known backups are recorded in the database specified by the backup_db and backup_db_path configuration options.

    -u, --userid
        backup is interpreted as a userid. There must be a known backup for the specified user.

        This is the default if no mode is specified.

EXAMPLES

HISTORY

FILES

SEE ALSO

restore(8)

AUTHOR
The Cyrus Team

COPYRIGHT
1993–2025, The Cyrus Team